package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerTrialEntity;
/**
 * 客户试用申请查询对象
 *
 * @author zxfei
 * @date 2022-07-27
 */
public class CustomerTrialQuery extends CustomerTrialEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 申请会员等级，1：试用客户，2：VIP，3：设计师 */
    private Integer memberLevelStart;

    /** 结束 申请会员等级，1：试用客户，2：VIP，3：设计师 */
    private Integer memberLevelEnd;

    /** 增加 申请会员等级，1：试用客户，2：VIP，3：设计师 */
    private Integer memberLevelIncrement;

    /** 申请会员等级，1：试用客户，2：VIP，3：设计师列表 */
    private List <Integer> memberLevelList;

    /** 开始 受理状态，0:未受理，1:同意，2:不同意。默认：0 */
    private Integer isAcceptStart;

    /** 结束 受理状态，0:未受理，1:同意，2:不同意。默认：0 */
    private Integer isAcceptEnd;

    /** 增加 受理状态，0:未受理，1:同意，2:不同意。默认：0 */
    private Integer isAcceptIncrement;

    /** 受理状态，0:未受理，1:同意，2:不同意。默认：0列表 */
    private List <Integer> isAcceptList;

    /** 开始 受理用户 */
    private Long createUserIdStart;

    /** 结束 受理用户 */
    private Long createUserIdEnd;

    /** 增加 受理用户 */
    private Long createUserIdIncrement;

    /** 受理用户列表 */
    private List <Long> createUserIdList;

    /** 开始 提交时间 */
    private String createTimeStart;

    /** 结束 提交时间 */
    private String createTimeEnd;

    /** 开始 受理时间 */
    private String updateTimeStart;

    /** 结束 受理时间 */
    private String updateTimeEnd;

    /** 客户真实名称 */
    private List<String> custNameList;

    /** 单位名称 */
    private List<String> organizationList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** 开始 性别 */
    private Integer sexStart;

    /** 结束 性别 */
    private Integer sexEnd;

    /** 增加 性别 */
    private Integer sexIncrement;

    /** 性别列表 */
    private List <Integer> sexList;

    /** 邮箱 */
    private List<String> mailboxList;

    /** 职位 */
    private List<String> jobList;

    /** 开始 客户ID */
    private Long customerIdStart;

    /** 结束 客户ID */
    private Long customerIdEnd;

    /** 增加 客户ID */
    private Long customerIdIncrement;

    /** 客户ID列表 */
    private List <Long> customerIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerTrialQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerTrialQuery> andConditionList;

    public CustomerTrialQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @return memberLevelStart
     */
    public Integer getMemberLevelStart(){
        return this.memberLevelStart;
    }

    /**
     * 设置 开始 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelStart
     */
    public void setMemberLevelStart(Integer memberLevelStart){
        this.memberLevelStart = memberLevelStart;
    }

    /**
     * 获取 结束 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @return $memberLevelEnd
     */
    public Integer getMemberLevelEnd(){
        return this.memberLevelEnd;
    }

    /**
     * 设置 结束 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelEnd
     */
    public void setMemberLevelEnd(Integer memberLevelEnd){
        this.memberLevelEnd = memberLevelEnd;
    }

    /**
     * 获取 增加 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @return memberLevelIncrement
     */
    public Integer getMemberLevelIncrement(){
        return this.memberLevelIncrement;
    }

    /**
     * 设置 增加 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelIncrement
     */
    public void setMemberLevelIncrement(Integer memberLevelIncrement){
        this.memberLevelIncrement = memberLevelIncrement;
    }

    /**
     * 获取 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @return memberLevelList
     */
    public List<Integer> getMemberLevelList(){
        return this.memberLevelList;
    }

    /**
     * 设置 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelList
     */
    public void setMemberLevelList(List<Integer> memberLevelList){
        this.memberLevelList = memberLevelList;
    }

    /**
     * 获取 开始 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @return isAcceptStart
     */
    public Integer getIsAcceptStart(){
        return this.isAcceptStart;
    }

    /**
     * 设置 开始 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptStart
     */
    public void setIsAcceptStart(Integer isAcceptStart){
        this.isAcceptStart = isAcceptStart;
    }

    /**
     * 获取 结束 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @return $isAcceptEnd
     */
    public Integer getIsAcceptEnd(){
        return this.isAcceptEnd;
    }

    /**
     * 设置 结束 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptEnd
     */
    public void setIsAcceptEnd(Integer isAcceptEnd){
        this.isAcceptEnd = isAcceptEnd;
    }

    /**
     * 获取 增加 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @return isAcceptIncrement
     */
    public Integer getIsAcceptIncrement(){
        return this.isAcceptIncrement;
    }

    /**
     * 设置 增加 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptIncrement
     */
    public void setIsAcceptIncrement(Integer isAcceptIncrement){
        this.isAcceptIncrement = isAcceptIncrement;
    }

    /**
     * 获取 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @return isAcceptList
     */
    public List<Integer> getIsAcceptList(){
        return this.isAcceptList;
    }

    /**
     * 设置 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptList
     */
    public void setIsAcceptList(List<Integer> isAcceptList){
        this.isAcceptList = isAcceptList;
    }

    /**
     * 获取 开始 受理用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 受理用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 受理用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 受理用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 受理用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 受理用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 受理用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 受理用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 提交时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 提交时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 提交时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 提交时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 受理时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 受理时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 受理时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 受理时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 客户真实名称
     * @return custNameList
     */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
     * 设置 客户真实名称
     * @param custNameList
     */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
     * 获取 单位名称
     * @return organizationList
     */
    public List<String> getOrganizationList(){
        return this.organizationList;
    }

    /**
     * 设置 单位名称
     * @param organizationList
     */
    public void setOrganizationList(List<String> organizationList){
        this.organizationList = organizationList;
    }
    /**
     * 获取 联系电话
     * @return contactTelphoneList
     */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
     * 设置 联系电话
     * @param contactTelphoneList
     */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
     * 获取 开始 性别
     * @return sexStart
     */
    public Integer getSexStart(){
        return this.sexStart;
    }

    /**
     * 设置 开始 性别
     * @param sexStart
     */
    public void setSexStart(Integer sexStart){
        this.sexStart = sexStart;
    }

    /**
     * 获取 结束 性别
     * @return $sexEnd
     */
    public Integer getSexEnd(){
        return this.sexEnd;
    }

    /**
     * 设置 结束 性别
     * @param sexEnd
     */
    public void setSexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
    }

    /**
     * 获取 增加 性别
     * @return sexIncrement
     */
    public Integer getSexIncrement(){
        return this.sexIncrement;
    }

    /**
     * 设置 增加 性别
     * @param sexIncrement
     */
    public void setSexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
    }

    /**
     * 获取 性别
     * @return sexList
     */
    public List<Integer> getSexList(){
        return this.sexList;
    }

    /**
     * 设置 性别
     * @param sexList
     */
    public void setSexList(List<Integer> sexList){
        this.sexList = sexList;
    }

    /**
     * 获取 邮箱
     * @return mailboxList
     */
    public List<String> getMailboxList(){
        return this.mailboxList;
    }

    /**
     * 设置 邮箱
     * @param mailboxList
     */
    public void setMailboxList(List<String> mailboxList){
        this.mailboxList = mailboxList;
    }
    /**
     * 获取 职位
     * @return jobList
     */
    public List<String> getJobList(){
        return this.jobList;
    }

    /**
     * 设置 职位
     * @param jobList
     */
    public void setJobList(List<String> jobList){
        this.jobList = jobList;
    }
    /**
     * 获取 开始 客户ID
     * @return customerIdStart
     */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
     * 设置 开始 客户ID
     * @param customerIdStart
     */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
     * 获取 结束 客户ID
     * @return $customerIdEnd
     */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
     * 设置 结束 客户ID
     * @param customerIdEnd
     */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
     * 获取 增加 客户ID
     * @return customerIdIncrement
     */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
     * 设置 增加 客户ID
     * @param customerIdIncrement
     */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
     * 获取 客户ID
     * @return customerIdList
     */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
     * 设置 客户ID
     * @param customerIdList
     */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public CustomerTrialQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public CustomerTrialQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public CustomerTrialQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public CustomerTrialQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public CustomerTrialQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevel
     */
    public CustomerTrialQuery memberLevel(Integer memberLevel){
        setMemberLevel(memberLevel);
        return this;
    }

    /**
     * 设置 开始 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelStart
     */
    public CustomerTrialQuery memberLevelStart(Integer memberLevelStart){
        this.memberLevelStart = memberLevelStart;
        return this;
    }

    /**
     * 设置 结束 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelEnd
     */
    public CustomerTrialQuery memberLevelEnd(Integer memberLevelEnd){
        this.memberLevelEnd = memberLevelEnd;
        return this;
    }

    /**
     * 设置 增加 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelIncrement
     */
    public CustomerTrialQuery memberLevelIncrement(Integer memberLevelIncrement){
        this.memberLevelIncrement = memberLevelIncrement;
        return this;
    }

    /**
     * 设置 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevelList
     */
    public CustomerTrialQuery memberLevelList(List<Integer> memberLevelList){
        this.memberLevelList = memberLevelList;
        return this;
    }

    /**
     * 设置  受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAccept
     */
    public CustomerTrialQuery isAccept(Integer isAccept){
        setIsAccept(isAccept);
        return this;
    }

    /**
     * 设置 开始 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptStart
     */
    public CustomerTrialQuery isAcceptStart(Integer isAcceptStart){
        this.isAcceptStart = isAcceptStart;
        return this;
    }

    /**
     * 设置 结束 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptEnd
     */
    public CustomerTrialQuery isAcceptEnd(Integer isAcceptEnd){
        this.isAcceptEnd = isAcceptEnd;
        return this;
    }

    /**
     * 设置 增加 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptIncrement
     */
    public CustomerTrialQuery isAcceptIncrement(Integer isAcceptIncrement){
        this.isAcceptIncrement = isAcceptIncrement;
        return this;
    }

    /**
     * 设置 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAcceptList
     */
    public CustomerTrialQuery isAcceptList(List<Integer> isAcceptList){
        this.isAcceptList = isAcceptList;
        return this;
    }

    /**
     * 设置  受理用户
     * @param createUserId
     */
    public CustomerTrialQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 受理用户
     * @param createUserIdStart
     */
    public CustomerTrialQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 受理用户
     * @param createUserIdEnd
     */
    public CustomerTrialQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 受理用户
     * @param createUserIdIncrement
     */
    public CustomerTrialQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 受理用户
     * @param createUserIdList
     */
    public CustomerTrialQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }




    /**
     * 设置 客户真实名称
     * @param custName
     */
    public CustomerTrialQuery custName(String custName){
        setCustName(custName);
        return this;
    }

    /**
     * 设置 客户真实名称
     * @param custNameList
     */
    public CustomerTrialQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
        return this;
    }


    /**
     * 设置 单位名称
     * @param organization
     */
    public CustomerTrialQuery organization(String organization){
        setOrganization(organization);
        return this;
    }

    /**
     * 设置 单位名称
     * @param organizationList
     */
    public CustomerTrialQuery organizationList(List<String> organizationList){
        this.organizationList = organizationList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param contactTelphone
     */
    public CustomerTrialQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
        return this;
    }

    /**
     * 设置 联系电话
     * @param contactTelphoneList
     */
    public CustomerTrialQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
        return this;
    }

    /**
     * 设置  性别
     * @param sex
     */
    public CustomerTrialQuery sex(Integer sex){
        setSex(sex);
        return this;
    }

    /**
     * 设置 开始 性别
     * @param sexStart
     */
    public CustomerTrialQuery sexStart(Integer sexStart){
        this.sexStart = sexStart;
        return this;
    }

    /**
     * 设置 结束 性别
     * @param sexEnd
     */
    public CustomerTrialQuery sexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
        return this;
    }

    /**
     * 设置 增加 性别
     * @param sexIncrement
     */
    public CustomerTrialQuery sexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
        return this;
    }

    /**
     * 设置 性别
     * @param sexList
     */
    public CustomerTrialQuery sexList(List<Integer> sexList){
        this.sexList = sexList;
        return this;
    }


    /**
     * 设置 邮箱
     * @param mailbox
     */
    public CustomerTrialQuery mailbox(String mailbox){
        setMailbox(mailbox);
        return this;
    }

    /**
     * 设置 邮箱
     * @param mailboxList
     */
    public CustomerTrialQuery mailboxList(List<String> mailboxList){
        this.mailboxList = mailboxList;
        return this;
    }


    /**
     * 设置 职位
     * @param job
     */
    public CustomerTrialQuery job(String job){
        setJob(job);
        return this;
    }

    /**
     * 设置 职位
     * @param jobList
     */
    public CustomerTrialQuery jobList(List<String> jobList){
        this.jobList = jobList;
        return this;
    }

    /**
     * 设置  客户ID
     * @param customerId
     */
    public CustomerTrialQuery customerId(Long customerId){
        setCustomerId(customerId);
        return this;
    }

    /**
     * 设置 开始 客户ID
     * @param customerIdStart
     */
    public CustomerTrialQuery customerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
        return this;
    }

    /**
     * 设置 结束 客户ID
     * @param customerIdEnd
     */
    public CustomerTrialQuery customerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
        return this;
    }

    /**
     * 设置 增加 客户ID
     * @param customerIdIncrement
     */
    public CustomerTrialQuery customerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
        return this;
    }

    /**
     * 设置 客户ID
     * @param customerIdList
     */
    public CustomerTrialQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CustomerTrialQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CustomerTrialQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CustomerTrialQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CustomerTrialQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}