package com.mortals.xhx.module.font.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.font.model.vo.FontMaterialVo;
/**
* 字体素材实体对象
*
* @author zxfei
* @date 2022-06-15
*/

public class FontMaterialEntity extends FontMaterialVo {
    private static final long serialVersionUID = 1L;

    /**
    * 字体名称
    */
    private String fontName;
    /**
    * 字体描述
    */
    private String fontDesc;
    /**
    * 字体下载地址（相对地址）
    */
    private String fontPath;
    /**
    * 文件原始名称
    */
    private String fileName;



    public FontMaterialEntity(){}
    /**
    * 获取 字体名称
    * @return String
    */
    public String getFontName(){
        return fontName;
    }
    /**
    * 设置 字体名称
    * @param fontName
    */
    public void setFontName(String fontName){
        this.fontName = fontName;
    }
    /**
    * 获取 字体描述
    * @return String
    */
    public String getFontDesc(){
        return fontDesc;
    }
    /**
    * 设置 字体描述
    * @param fontDesc
    */
    public void setFontDesc(String fontDesc){
        this.fontDesc = fontDesc;
    }
    /**
    * 获取 字体下载地址（相对地址）
    * @return String
    */
    public String getFontPath(){
        return fontPath;
    }
    /**
    * 设置 字体下载地址（相对地址）
    * @param fontPath
    */
    public void setFontPath(String fontPath){
        this.fontPath = fontPath;
    }
    /**
    * 获取 文件原始名称
    * @return String
    */
    public String getFileName(){
        return fileName;
    }
    /**
    * 设置 文件原始名称
    * @param fileName
    */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FontMaterialEntity) {
            FontMaterialEntity tmp = (FontMaterialEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",fontName:").append(getFontName());
        sb.append(",fontDesc:").append(getFontDesc());
        sb.append(",fontPath:").append(getFontPath());
        sb.append(",fileName:").append(getFileName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.fontName = "id";

            this.fontDesc = "";

            this.fontPath = "";

            this.fileName = "";
    }
}