package com.mortals.xhx.module.font.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.font.model.FontMaterialEntity;
import com.mortals.xhx.module.font.service.FontMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
/**
*
* 字体素材
*
* @author zxfei
* @date 2022-06-08
*/
@RestController
@RequestMapping("font/material")
public class FontMaterialController extends BaseCRUDJsonBodyMappingController<FontMaterialService,FontMaterialEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FontMaterialController(){
        super.setModuleDesc( "字体素材");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "userType", paramService.getParamBySecondOrganize("User", "userType"));
        this.addDict(model, "status", paramService.getParamBySecondOrganize("User", "status"));
        super.init(model, context);
    }

    @Override
    protected void doListBefore(FontMaterialEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderCols = new HashMap<>();
        orderCols.put("createTime","DESC");
        query.setOrderCols(orderCols);
    }

}