package com.mortals.xhx.module.question.model;

import java.util.List;
import com.mortals.xhx.module.question.model.QuestionReplyEntity;
/**
* 问答自动回复查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class QuestionReplyQuery extends QuestionReplyEntity {
    /** 开始 回复ID，主键，自增长 */
    private Long idStart;

    /** 结束 回复ID，主键，自增长 */
    private Long idEnd;

    /** 增加 回复ID，主键，自增长 */
    private Long idIncrement;

    /** 回复ID，主键，自增长列表 */
    private List <Long> idList;

    /** 问题关键字 */
    private List<String> keywordsList;

    /** 回复内容 */
    private List<String> replyContentList;

    /** 开始 提交时间 */
    private String createTimeStart;

    /** 结束 提交时间 */
    private String createTimeEnd;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QuestionReplyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QuestionReplyQuery> andConditionList;

    public QuestionReplyQuery(){}

    /**
    * 获取 开始 回复ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 回复ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 回复ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 回复ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 回复ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 回复ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 回复ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 回复ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 问题关键字
    * @return keywordsList
    */
    public List<String> getKeywordsList(){
        return this.keywordsList;
    }

    /**
    * 设置 问题关键字
    * @param keywordsList
    */
    public void setKeywordsList(List<String> keywordsList){
        this.keywordsList = keywordsList;
    }
    /**
    * 获取 回复内容
    * @return replyContentList
    */
    public List<String> getReplyContentList(){
        return this.replyContentList;
    }

    /**
    * 设置 回复内容
    * @param replyContentList
    */
    public void setReplyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
    }
    /**
    * 获取 开始 提交时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 提交时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 提交时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 提交时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 设置  回复ID，主键，自增长
    * @param id
    */
    public QuestionReplyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 回复ID，主键，自增长
    * @param idStart
    */
    public QuestionReplyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 回复ID，主键，自增长
    * @param idEnd
    */
    public QuestionReplyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 回复ID，主键，自增长
    * @param idIncrement
    */
    public QuestionReplyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 回复ID，主键，自增长
    * @param idList
    */
    public QuestionReplyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 问题关键字
    * @param keywords
    */
    public QuestionReplyQuery keywords(String keywords){
        setKeywords(keywords);
		return this;
    }

    /**
    * 设置 问题关键字
    * @param keywordsList
    */
    public QuestionReplyQuery keywordsList(List<String> keywordsList){
        this.keywordsList = keywordsList;
		return this;
    }


	/**
    * 设置 回复内容
    * @param replyContent
    */
    public QuestionReplyQuery replyContent(String replyContent){
        setReplyContent(replyContent);
		return this;
    }

    /**
    * 设置 回复内容
    * @param replyContentList
    */
    public QuestionReplyQuery replyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
		return this;
    }



	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public QuestionReplyQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public QuestionReplyQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QuestionReplyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QuestionReplyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QuestionReplyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QuestionReplyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}